org.apache.ignite.internal.binary

## Class BinaryThreadLocalContext

- java.lang.Object
- - org.apache.ignite.internal.binary.BinaryThreadLocalContext

    public class BinaryThreadLocalContext
    extends Object

Contains thread-local data for binary marshalling.

### Method Summary

Methods
`BinaryMemoryAllocatorChunk` `chunk()`
`static BinaryThreadLocalContext` `get()` Get current context.
`BinaryWriterSchemaHolder` `schemaHolder()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### get

    public static BinaryThreadLocalContext get()

Get current context.

Returns:
  Context.

#### chunk

    public BinaryMemoryAllocatorChunk chunk()

Returns:
  Memory chunk.

#### schemaHolder

    public BinaryWriterSchemaHolder schemaHolder()

Returns:
  Schema holder.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.9.0
Release Date | : March 2 2017